using System;

namespace Kvalifikacije_12_18
{
    class Program
    {

        static int najava(int n)
        {
            return (n * (n + 1)) / 2;
        }

        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            int[,] a = new int[t, 3];
            int n, m, k, min = 0;

            for(int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i, 0] = int.Parse(s[0]);
                a[i, 1] = int.Parse(s[1]);
                a[i, 2] = int.Parse(s[2]);
            }


            for (int i = 0; i < t; i++)
            {
                n = a[i, 0];
                m = a[i, 1];
                k = a[i, 2];

                for(int j = 0; j < n % k; j++)
                {
                    min += najava((n / k) + 1);
                }

                for(int j = 0; j < k - n % k; j++)
                {
                    min += najava(n / k);
                }

                if (m < min)
                    Console.WriteLine("Nie");
                else
                    Console.WriteLine("Tak");

                min = 0;
            }

        }
    }
}